See OpenVidu.getDevices

### Hierarchy

- Device

## Index

### Properties

- deviceId
- kind
- label

## Properties

### deviceId

deviceId: string

- Defined in OpenViduInternal/Interfaces/Public/Device.ts:31

Unique ID for the device. Use it on `audioSource` or `videoSource` properties of PublisherProperties

### kind

kind: string

- Defined in OpenViduInternal/Interfaces/Public/Device.ts:26

`"videoinput"`, `"audioinput"`

### label

label: string

- Defined in OpenViduInternal/Interfaces/Public/Device.ts:36

Description of the device. An empty string if the user hasn't granted permissions to the site to access the device

Generated using TypeDoc